#version 330 core

uniform mat4 u_ModelView;
uniform mat4 u_Projection;

layout(location = 0) in vec3 vIn_ms_Position;
layout(location = 1) in vec4 vIn_Color;
layout(location = 2) in vec2 vIn_ts_TexCoord;

out vec4 pIn_Color;
out vec2 pIn_ts_TexCoord;

void main() {

	gl_Position = u_Projection * (u_ModelView * vec4(0, 0, 0, 1) + vec4(vIn_ms_Position.x, vIn_ms_Position.y, 0, 0));
	pIn_ts_TexCoord = vIn_ts_TexCoord;
	pIn_Color = vIn_Color;
	
}